package smart_gs.reasoning_web;

public interface URIBearer {
	
	public String getURI();
	
	public void setURI(String uri);
	
	public String getOriginalURI();
	
	public void setOriginalURI(String originalURI);
		
	public String createURI();

	public void setURIs(String uri, String originalURI);

	public String getVersion();
	
	public void setVersion(String version);
	
	public String getOldVersionURI();
	
	public void setOldVersionURI(String oldVersionURI);

}
